Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io
Interface DocumentReader

All Known Implementing Classes:
  AbstractDocumentReader, NewickReader, NexusReader, TextStreamReader, TGFReader, XTGReader

    public interface DocumentReader

Method Summary
`Document` | `read(java.io.File file)`
`Document` | `read(java.io.File file, NodeDataAdapter internalAdapter)`
`Document` | `read(java.io.File file, NodeDataAdapter internalAdapter, TreeSelector selector, boolean translateInternalNodes)`
`Document` | `read(java.io.InputStream stream)`
`Document` | `read(java.io.InputStream stream, NodeDataAdapter internalAdapter)`
`Document` | `read(java.io.InputStream stream, NodeDataAdapter internalAdapter, TreeSelector selector, boolean translateInternalNodes)`

Method Detail

### read

    Document read(java.io.InputStream stream)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### read

    Document read(java.io.File file)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### read

    Document read(java.io.InputStream stream,
                  NodeDataAdapter internalAdapter)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### read

    Document read(java.io.File file,
                  NodeDataAdapter internalAdapter)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### read

    Document read(java.io.InputStream stream,
                  NodeDataAdapter internalAdapter,
                  TreeSelector selector,
                  boolean translateInternalNodes)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### read

    Document read(java.io.File file,
                  NodeDataAdapter internalAdapter,
                  TreeSelector selector,
                  boolean translateInternalNodes)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD